org.apache.ignite.internal.visor.node

## Class VisorTransactionConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorTransactionConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorTransactionConfiguration
    extends Object
    implements Serializable

Data transfer object for transaction configuration.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorTransactionConfiguration()`

### Method Summary

Methods
`TransactionConcurrency` `defaultTxConcurrency()`
`TransactionIsolation` `defaultTxIsolation()`
`long` `defaultTxTimeout()`
`static VisorTransactionConfiguration` `from(TransactionConfiguration src)` Create data transfer object for transaction configuration.
`int` `getPessimisticTxLogSize()`
`int` `pessimisticTxLogLinger()`
`String` `toString()`
`boolean` `txSerializableEnabled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorTransactionConfiguration

    public VisorTransactionConfiguration()

### Method Detail

#### from

    public static VisorTransactionConfiguration from(TransactionConfiguration src)

Create data transfer object for transaction configuration.

Parameters:
  `src` - Transaction configuration.
Returns:
  Data transfer object.

#### defaultTxConcurrency

    public TransactionConcurrency defaultTxConcurrency()

Returns:
  Default cache transaction concurrency.

#### defaultTxIsolation

    public TransactionIsolation defaultTxIsolation()

Returns:
  Default cache transaction isolation.

#### defaultTxTimeout

    public long defaultTxTimeout()

Returns:
  Default transaction timeout.

#### pessimisticTxLogLinger

    public int pessimisticTxLogLinger()

Returns:
  Pessimistic log cleanup delay in milliseconds.

#### getPessimisticTxLogSize

    public int getPessimisticTxLogSize()

Returns:
  Pessimistic transaction log size.

#### txSerializableEnabled

    public boolean txSerializableEnabled()

Returns:
  `True` if serializable transactions are enabled, `false` otherwise.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015